/* MORGAN: Copyright 1991-2005: Univ. of Washington. All rights reserved. */
/* You may copy, use, modify, but NOT redistribute, modified or otherwise.*/
/* See: http://www.stat.washington.edu/thompson/Genepi/license.shtml      */

int proc_end (void)
{
   fflush (stderr);
   fflush (stdout);

   if (n_err > 0)                       /* calls it quits if                 */
   {                                    /* there were errors                 */
      err_typ = ERR_QIT;
      if (proc_err ())
         return FALSE;
   }
   free_arrs ();
   free_fnam (get_filent (PAR));        /* done with parameter file          */
   free_fnam (get_filent (MDAT));       /* also with marker data file        */

   proc_free ();

   return TRUE;
}
