/* MORGAN: Copyright 1991-2005: Univ. of Washington. All rights reserved. */
/* You may copy, use, modify, but NOT redistribute, modified or otherwise.*/
/* See: http://www.stat.washington.edu/thompson/Genepi/license.shtml      */
#include "markers.h"

void free_allefrq (void)
{
   /* NAll:  No. allele freqs at each locus
    * Qq:    Allele frequencies at each locus */

   int   i;

   if (NAll)
   {
      free (NAll);
      NAll = NULL;
   }
   if (Qq)
   {
      for (i = 0; i < NLoci; ++i)
         free (Qq[i]);
      free (Qq);
      Qq = NULL;
   }
   return;
}
